<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<f:view>
  <html>
    <head><title>Gæstebog JSF</title></head>
    <body>
      <h:form>
        <h1>Gæstebog-jsf</h1>
        <p>Velkommen til min lille gæstebog.</p>

        <p>
          <h:dataTable value="#{gaestebog.gaester}" var="g" frame="box">
            <h:column>
              <f:facet name="header">
                <h:outputText value="navn"/>
              </f:facet>
              <h:outputText value="#{g.navn}"/>
            </h:column>
            <h:column>
              <f:facet name="header">
                <h:outputText value="datoen"/>
              </f:facet>
              <h:outputText value="#{g.dato}"/>
            </h:column>
            <h:column>
              <f:facet name="header">
                <h:outputText value="beskedden"/>
              </f:facet>
              <h:outputText value="#{g.besked}"/>
            </h:column>
          </h:dataTable>
        </p>

        <p>
          Du kan skrive dig ind 
          <h:commandLink action="indskriv">
            <h:outputText value="her"/>
          </h:commandLink>
        </p>

      </h:form>

<%--
	// Her ses hvordan man får fat i en JSF-bønne fra almindelig JSP-kode
	int antalGæster = 0;
	jsf.Gaestebog gaestebog = (jsf.Gaestebog) application.getAttribute("gaestebog");
	java.sql.ResultSet rs = gaestebog.getGaester();
	while (rs.next()) antalGæster++; // tæl antal rækker
	out.print("<p>Der er i alt "+antalGæster+" besøgende der har skrevet sig ind.</p>");
--%>
    </body>
  </html>
</f:view>