package jsf;

import java.sql.*;
import java.util.HashMap;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

public class Gaestebog
{
  private Connection con;
  
  public Gaestebog()
  {
    try {
      // Initialisering gæstebogen
      Class.forName("com.mysql.jdbc.Driver");
      con = DriverManager.getConnection("jdbc:mysql:///test");
      System.out.println("Driver indlæst: "+con);
    } catch (Exception e) {
      e.printStackTrace();
   }
  }

  public ResultSet getGaester()
  {
    System.out.println("inde i getGaester() - con="+con);
    try {
      // Hent ResultSet med gæstebogen
      Statement stmt = con.createStatement();
      ResultSet rs = stmt.executeQuery("SELECT navn, besked, dato FROM gaestebog");
      return rs;
    } catch (Exception e) {
      e.printStackTrace();
      return null;
    }
  }

public String indskriv()
{
  try {
    FacesContext fc = FacesContext.getCurrentInstance();

    HttpServletRequest request = (HttpServletRequest) (fc.getExternalContext().getRequest());
    
    HashMap g = (HashMap) request.getAttribute("formular");
    System.out.println("indskriv() g="+g);

    PreparedStatement pstmt = con.prepareStatement(
      "INSERT INTO gaestebog (navn, besked, dato, ip) VALUES(?,?,?,?)");
    
    pstmt.setString(1, (String) g.get("navnet"));
    pstmt.setString(2, (String) g.get("besked"));
    pstmt.setDate(3, new java.sql.Date(System.currentTimeMillis()));
    
    pstmt.setString(4, request.getRemoteAddr());
    pstmt.executeUpdate();    
    pstmt.close();

    return "tilbage";
  } catch (Exception e) {
    e.printStackTrace();
    return null;
  }
}
}
